<?php
/***************************************************************************
 *	lang_EasyBAN.php [English]
 *
 *	begin		: September 2006
 *	version		: 9 December 2006
 *	copyright	: (C) 2006,2007 grandolini.net
 *	email		: maraja@users.sourceforge.net
 *
 *	EasyBAN English strings
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

//
// EasyBAN
//

// Name of the language, to write in this language
$lang['EasyBAN_lang_name'] = 'English';

// EasyBAN module entries in the ACP
$lang['EasyBAN'] = 'EasyBAN Center';
$lang['EasyBAN_admin'] = 'Admin Banned';
$lang['EasyBAN_settings'] = 'EasyBAN Settings';
$lang['EasyBAN_help'] = 'EasyBAN Help';

// header
$lang['EasyBAN_title'] = 'A tool to easily handle spam in phpBB forums (&beta;)';
$lang['EasyBAN_powered_by'] = 'Enhanced with';
$lang['EasyBAN_support_link'] = 'Support';
$lang['EasyBAN_forum_link'] = 'Forum Index';
$lang['EasyBAN_check_ver'] = 'Check for new version';

// errors
$lang['EasyBAN_err_no_file'] = '<b>Critical Error:</b> could not find [%s]. Aborting.';
$lang['EasyBAN_err_no_hided'] = 'Could not get the list of banned topic(s)/post(s)';
$lang['EasyBAN_err_no_post'] = 'Could not obtain post info for this id: ';
$lang['EasyBAN_err_no_postdtl'] = 'Could not obtain post details for this id: ';
$lang['EasyBAN_err_no_topic'] = 'Could not obtain topic info for this id: ';
$lang['EasyBAN_err_no_forum'] = 'Could not obtain forum info for this id: ';
$lang['EasyBAN_err_no_user'] = 'Could not obtain user info for this id: ';
$lang['EasyBAN_err_config_info'] = 'Could not obtain the EasyBAN configuration settings';
$lang['EasyBAN_err_no_post_selected'] = 'No posts is selected';
$lang['EasyBAN_err_no_post_hiding'] = 'Could not find posts for this user';
$lang['EasyBAN_err_noins_hide'] = 'Could not insert record in the hide table';
$lang['EasyBAN_err_nodel_hide'] = 'Could not delete record from the hide table';
$lang['EasyBAN_err_noupd_hide'] = 'Could not update record in the hide table';
$lang['EasyBAN_err_nocheck_hide'] = 'Could not check record in the hide table';
$lang['EasyBAN_err_bantable'] = 'Could not access the ban table';
$lang['EasyBAN_err_banins'] = 'Could not insert into the ban table';
$lang['EasyBAN_err_bandel'] = 'Could not delete frmo the ban table';

////
////
////
////
$lang['EasyBAN_E_01'] = 'Post not found:';
$lang['EasyBAN_E_02'] = 'Cannot locate the first post of this topic:';
$lang['EasyBAN_conf_not_updated'] = '<h3>WARNING: Encountered %e errors while trying to update the settings.</h3>';
////
////
////
////


// confirm messages
$lang['EasyBAN_conf_updated'] = 'Settings updated!';
$lang['EasyBAN_conf_default'] = 'Default settings reloaded: click on the Update button to save the new values.';
$lang['EasyBAN_confirm_update'] = 'Records updated!';

// buttons
$lang['EasyBAN_BTN_details'] = 'Details';
$lang['EasyBAN_BTN_quarantined'] = 'Quarantined item';
$lang['EasyBAN_BTN_b2admin'] = 'Back to admin';
$lang['EasyBAN_BTN_b2forum'] = 'Back to forum';
$lang['EasyBAN_BTN_b2topic'] = 'Back to topic';
$lang['EasyBAN_BTN_b2post'] = 'Back to post';
$lang['EasyBAN_BTN_update'] = 'Update';
$lang['EasyBAN_BTN_BAN'] = 'Group HIDE/BAN!';
$lang['EasyBAN_BTN_UNBAN'] = 'Group UnHIDE/UnBAN!';
$lang['EasyBAN_BTN_Filter'] = 'Filter';
$lang['EasyBAN_BTN_wgroup'] = 'With selected';
$lang['EasyBAN_BTN_update'] = 'Update';
$lang['EasyBAN_BTN_getdef'] = 'Reload default values';

$lang['EasyBAN_C_hide'] = 'Check to hide';
$lang['EasyBAN_R_hide'] = 'Change status';
$lang['EasyBAN_R_hide1'] = 'Hide';
$lang['EasyBAN_R_hide0'] = 'Unhide';
$lang['EasyBAN_C_alltopic'] = 'Apply to the entire topic';
$lang['EasyBAN_C_fullScreen'] = 'Check to avoid frame';

// admin banned
$lang['EasyBAN_hided'] = 'Admin Banned';
$lang['EasyBAN_hided_desc'] = 'Here you administer all the banned topic(s) and post(s). Check the items you want to modify, choose the proper action and click on the <b>' . $lang['Go'] . '</b> button to apply your choice to all the selected items.<br />
To edit the settings of a single item click on its <b>' . $lang['EasyBAN_BTN_details'] . '</b> button.<br />
Note: posts hided by their topic are <b>not</b> affected by group operations.';
$lang['EasyBAN_tot_hided'] = 'Total posts hided';
$lang['EasyBAN_Filtered'] = 'Filtered';
$lang['EasyBAN_Unfiltered'] = 'Unfiltered';
$lang['EasyBAN_Filter_by'] = 'Filter posts by';

$lang['EasyBAN_opt_filters'][0] = 'All posts';
$lang['EasyBAN_opt_filters'][1] = 'Only quarantined posts';
$lang['EasyBAN_opt_filters'][2] = 'Only hidden posts';
$lang['EasyBAN_opt_filters'][3] = 'Only posts within hided topics';

$lang['EasyBAN_none_found'] = '<b>No hide topics/posts have been found.</b>';

// common
$lang['EasyBAN_y'] = 'Yes';
$lang['EasyBAN_n'] = 'No';
$lang['EasyBAN_ultd'] = 'unlimited';
$lang['EasyBAN_moreinfo'] = 'More information';

$lang['EasyBAN_AUTHOR'] = 'Author';
$lang['EasyBAN_FORUM'] = 'Forum';
$lang['EasyBAN_TOPIC'] = 'Topic';
$lang['EasyBAN_POST'] = 'Post';
$lang['EasyBAN_MESSAGE'] = 'Message';
$lang['EasyBAN_DATE'] = 'Date';

// detail
$lang['EasyBAN_mngr'] = 'Ban manager';
$lang['EasyBAN_mngr_desc'] = 'Here you can hide the post/topic as well as ban the user, his email address and the IP from where he to submitted this post.';
$lang['EasyBAN_mngr_data'] = 'Post details';
$lang['EasyBAN_mngr_post_hided'] = 'hided';
$lang['EasyBAN_mngr_post_quarantined'] = 'quarantined';
$lang['EasyBAN_mngr_post_thided'] = 'hided by topic';
$lang['EasyBAN_mngr_post_unhided'] = 'unhided';

// viewtopic & viewforum
$lang['EasyBAN_pban'] = 'post(s) banned';
$lang['EasyBAN_pqua'] = 'post(s) quarantined';
$lang['EasyBAN_tban'] = 'topic(s) banned';
$lang['EasyBAN_tqua'] = 'topic(s) quarantined';
$lang['EasyBAN_by'] = ' by ';
$lang['EasyBAN_alt_topic'] = 'Ban this topic';
$lang['EasyBAN_alt_post'] = 'Ban this post';
$lang['EasyBAN_mngm'] = 'EasyBAN Manager';


//
//
//
//
$lang['EasyBAN_dbempty'] = 'The banned database is empty.';
$lang['EasyBAN_Login'] = 'Log in to proceed';

$lang['EasyBAN_UsrBan'] = 'User banned';
$lang['EasyBAN_UsrABan'] = 'User already banned';
$lang['EasyBAN_UsrDBan'] = 'User unbanned';
$lang['EasyBAN_EmaBan'] = 'Email banned';
$lang['EasyBAN_EmaABan'] = 'Email already banned';
$lang['EasyBAN_EmaDBan'] = 'Email unbanned';
$lang['EasyBAN_IPBan'] = 'IP banned';
$lang['EasyBAN_IPABan'] = 'IP already banned';
$lang['EasyBAN_IPDBan'] = 'IP unbanned';

$lang['EasyBAN_Topic'] = 'Topic ';
$lang['EasyBAN_Post'] = 'Post ';
$lang['EasyBAN_Hidden'] = ' hidden!';
$lang['EasyBAN_AHidden'] = ' ALREADY hidden!';
$lang['EasyBAN_DHidden'] = ' DEFINETELY hidden!';
$lang['EasyBAN_UnHidden'] = ' unhidden!';

$lang['EasyBAN_results']= 'Update results';
$lang['EasyBAN_info']= 'Information';
$lang['EasyBAN_none_updated'] = '<b>There was nothing to update!</b>';

$lang['EasyBAN_WARN_allanim'] = 'WARNING: ALL post by GUESTS (Anonymous) users will be banned!';
$lang['EasyBAN_B_Help'] = 'Help';
$lang['EasyBAN_B_Refresh'] = 'Refresh';
$lang['EasyBAN_B_Ban'] = 'BAN!';
$lang['EasyBAN_B_UBan'] = 'UnBAN!';
$lang['EasyBAN_B_UQua'] = 'UnQUARANTINE!';
$lang['EasyBAN_B_AdminBan'] = 'Admin Banned';
$lang['EasyBAN_B_B2F'] = 'Back to Forum';
$lang['EasyBAN_B_CloseW'] = 'Close window';
$lang['EasyBAN_E_01'] = 'Post not found:';
$lang['EasyBAN_E_02'] = 'Cannot locate the first post of this topic:';

// email
$lang['EasyBAN_M_info'] = ': Post notification (EasyBAN)';
$lang['EasyBAN_M_infoD'] = ': Post Daily Report (EasyBAN)';
$lang['EasyBAN_M_infoW'] = ': Post Weekly Report (EasyBAN)';
$lang['EasyBAN_M_err'] = ': Error while hiding a post (EasyBAN)';
$lang['EasyBAN_M_cgferr'] = ': Error while updating a configuration setting (EasyBAN)';
$lang['EasyBAN_M_postby'] = 'Posted by:';
$lang['EasyBAN_M_title'] = 'Title:';
$lang['EasyBAN_M_subj'] = 'Post subject:';
$lang['EasyBAN_M_body'] = 'Message:';
$lang['EasyBAN_no_post_email'] = '[post without email]';
$lang['EasyBAN_M_link'] = 'To ban this user/email/ip click on this link:';
$lang['EasyBAN_M_linkS'] = 'Ban link => ';
$lang['EasyBAN_M_qlink'] = '*This post was automatically quarantined.*';
$lang['EasyBAN_M___'] = '----------------------------------------------------------------------';
$lang['EasyBAN_M_total_posts'] = 'Total posts in this report: ';

// settings
$lang['EasyBAN_settings_desc'] = 'This page allows you to configure EasyBAN settings.';
$lang['EasyBAN_settings_success'] = 'Your EasyBAN settings have been updated successfully!';

$lang['EasyBAN_infoe'] = 'Email notifications';
$lang['EasyBAN_infoe_desc'] = 'Get notification emails on what\'s going on at your forum.';
$lang['EasyBAN_infoe_freq'] = 'Frequency';
$lang['EasyBAN_infoe_none'] = 'Do not send any email';
$lang['EasyBAN_infoe_each'] = 'Each post';
$lang['EasyBAN_infoe_day']  = 'Daily report';
$lang['EasyBAN_infoe_week'] = 'Weekly report';

$lang['EasyBAN_quar'] = 'Quarantine';
$lang['EasyBAN_quar_desc'] = 'Automatically quarantine posts as soon as they are posted (EasyBAN likes to make spammers life harder =)<br />
The difference between a quarantined and an hidden post is that the first kind is automatically hidden right after the post is submitted. The code used to quarantine leaves the "last word" to you either to definetely hide the post and/or to ban the user from the forum.';
$lang['EasyBAN_quar_word'] = 'Words to be quarantined';
$lang['EasyBAN_quar_comasep'] = 'Max 255 chars; words separated by commas like in this example: <i>xxx,porn,viagra</i>';
$lang['EasyBAN_quar_links'] = 'Maximum allowed number of links';
$lang['EasyBAN_quar_active'] = 'Activate';

$lang['EasyBAN_sinban'] = 'Post/topic operations';
$lang['EasyBAN_sinban_desc'] = 'Set how EasyBAN should handle posts when you hide/unhide a single post.';
$lang['EasyBAN_sinban_all'] = 'Hide all topics/posts';
$lang['EasyBAN_sinban_anony'] = 'Avoid to hide all ANONYMOUS posts';

$lang['EasyBAN_grpban'] = 'Group operations';
$lang['EasyBAN_grpban_desc'] = 'Set how EasyBAN should handle the <b>User Ban Control</b> when you hide/unhide a group of posts.<br />Please note that, when performing a group operation, EasyBAN will always work <b>only</b> on the selected items. This means that there is no automation on all the posts made by an user.';
$lang['EasyBAN_grpban_user'] = 'Ban user name';
$lang['EasyBAN_grpban_email'] = 'Ban email address';
$lang['EasyBAN_grpban_ip'] = 'Ban IP';

$lang['EasyBAN_private'] = 'Private';
$lang['EasyBAN_private_desc'] = 'Settings in this area are used by EasyBAN to make your life easier.';
$lang['EasyBAN_private_lastreport'] = 'Last email report';

// help
$lang['EasyBAN_help'] = 'EasyBAN Help';
$lang['help']['infoe'][] = $lang['EasyBAN_infoe'];
$lang['help']['infoe'][] = 'Here you can select one of the following options:
<ul>
<li><b>'.$lang['EasyBAN_infoe_none'].':</b> EasyBAN will not inform you about its activities.</li>
<li><b>'.$lang['EasyBAN_infoe_each'].':</b> Every time a new message is posted EasyBAN sends an email with details about the post.</li>
<li><b>'.$lang['EasyBAN_infoe_day'].':</b> Everytime a new post is submitted EasyBAN checks if the post date is greater than 24 hours after the last report date. If the condition is met, EasyBAN will send you the report.<br />Please note that you may not receive the report of the last day if nobody posts a new message on the forum in the following 24 hours.</li>
<li><b>'.$lang['EasyBAN_infoe_week'].':</b> Everytime a new post is submitted EasyBAN checks if the post date is greater than 7 days after the last report date. If the condition is met, EasyBAN will send you the report.<br />Please note that you may not receive the report of the last day if nobody posts a new message on the forum in the following 24 hours.</li>
</ul>
The email, including a link to quickly open the ban manager page, is sent to the Admin Email Address (set in the ACP > General Admin > Configuration).';

$lang['help']['quar'][] = $lang['EasyBAN_quar'];
$lang['help']['quar'][] = 'EasyBAN can automatically hide posts and topics for you.<br /><br /><b>Words</b><br />Everytime a new post is added, EasyBAN will check if its contents includes at least one of the words you set here.<br />The check is case unsensitive. The maximum total length of the words list in this version is 255 chars: this includes spaces and commas used to separate words.<br /><br /><b>Links</b><br />You can also hide posts including more than a predefined numbers of links.<br />
If you activate this feature, EasyBAN will quarantine each post matching any of these conditions as soon as it is posted.';

$lang['help']['sinban_user'][] = $lang['EasyBAN_sinban'];
$lang['help']['sinban_user'][] = 'These options are used when you use EasyBAN Manager to hide a single post. Here you can select one of the following options:
<ul>
<li><b>'.$lang['EasyBAN_sinban_all'].'</b></li>
<ul>
<li><b>Yes:</b> To hide also ALL the other posts/topics of the user.</li>
<li><b>No:</b> To hide ONLY the post/topic you are hiding.</li>
</ul><br />
<li><b>'.$lang['EasyBAN_sinban_anony'].'</b></li>
<ul>
<li><b>Yes:</b> Do NOT hide all posts if the one you are hiding is made by an ANONYMOUS user.</li>
<li><b>No:</b> DO ban all posts, even if the user is ANONYMOUS.</li>
</ul>
</ul>';

//
// Version Check
//
$lang['Version_up_to_date'] = 'Your installation is up to date, no updates are available for your version of EasyBAN.';
$lang['Version_not_up_to_date'] = 'Your installation does <b>not</b> seem to be up to date. Updates are available for your version of EasyBAN, please visit <a href="http://sourceforge.net/project/showfiles.php?group_id=182651" target="_new">the download page</a> to obtain the latest version.';
$lang['Latest_version_info'] = 'The latest available version is <b>EasyBAN %s</b>.';
$lang['Current_version_info'] = 'You are running <b>EasyBAN %s</b>.';
$lang['Connect_socket_error'] = 'Unable to open connection to EasyBAN Server, reported error is:<br />%s';
$lang['Socket_functions_disabled'] = 'Unable to use socket functions.';
$lang['Mailing_list_subscribe_reminder'] = 'For the latest information on updates to EasyBAN, why not <a href="http://sourceforge.net/mail/?group_id=182651" target="_new">subscribe to our mailing list</a>.';
$lang['Version_information'] = 'Version Information';

?>